﻿Type=Activity
Version=2.71
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim lblPoint1, lblPoint2 As Label
	Dim lblLongitude0, lblLatitude0, lblScreenX0, lblScreenY0 As Label
	Dim lblLongitude1, lblLatitude1, lblScreenX1, lblScreenY1 As Label
	Dim lblLongitude2, lblLatitude2, lblScreenX2, lblScreenY2 As Label
	Dim lblDistanceBetween0, lblDistanceBetween, lblDistanceUnit As Label
	Dim btnRecalibrate As Button
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("calibration")
	Activity.Title = Main.ProgName & " " & Main.ProgVersion & " " & "Calibration Details"
	ResizeViews
	lblLongitude1.Text = Main.MapPoint1.Longitude
	lblLatitude1.Text = Main.MapPoint1.Latitude
	lblScreenX1.Text = Main.MapPoint1.ScreenX
	lblScreenY1.Text = Main.MapPoint1.ScreenY
	lblLongitude2.Text = Main.MapPoint2.Longitude
	lblLatitude2.Text = Main.MapPoint2.Latitude
	lblScreenX2.Text = Main.MapPoint2.ScreenX
	lblScreenY2.Text = Main.MapPoint2.ScreenY
	Select Main.DistanceUnitIndex
	Case 0	' m
		lblDistanceBetween.Text = NumberFormat2(Main.DistanceBetween * Main.DistanceUnitRatio(Main.DistanceUnitIndex), 1 ,1, 1, False)
	Case 1, 2	' km  mile
		lblDistanceBetween.Text = NumberFormat2(Main.DistanceBetween * Main.DistanceUnitRatio(Main.DistanceUnitIndex), 1 ,4, 4, False)
	End Select
	lblDistanceUnit.text = Main.DistanceUnitText(Main.DistanceUnitIndex)
End Sub

Sub Activity_Resume
	Activity.Title = Main.ProgName & " " & Main.ProgVersion & " " & "Calibration Details"
	ResizeViews
End Sub

Sub Activity_Pause (UserClosed As Boolean)
End Sub

Sub btnRecalibrate_Click
	Main.MapCalibrate = True
	StartActivity("Main")	
End Sub

Sub ResizeViews
lblPoint1.SetLayout(34.375%X,2.32558139534884%Y,31.25%X,6.97674418604651%Y)
lblPoint2.SetLayout(68.75%X,2.32558139534884%Y,31.25%X,6.97674418604651%Y)
lblLongitude0.SetLayout(0%X,16.2790697674419%Y,31.25%X,6.97674418604651%Y)
lblLongitude1.SetLayout(34.375%X,16.2790697674419%Y,31.25%X,6.97674418604651%Y)
lblLongitude2.SetLayout(68.75%X,16.2790697674419%Y,31.25%X,6.97674418604651%Y)
lblLatitude0.SetLayout(0%X,27.906976744186%Y,31.25%X,6.97674418604651%Y)
lblLatitude1.SetLayout(34.375%X,27.906976744186%Y,31.25%X,6.97674418604651%Y)
lblLatitude2.SetLayout(68.75%X,27.906976744186%Y,31.25%X,6.97674418604651%Y)
lblScreenX0.SetLayout(0%X,39.5348837209302%Y,31.25%X,6.97674418604651%Y)
lblScreenX1.SetLayout(34.375%X,39.5348837209302%Y,31.25%X,6.97674418604651%Y)
lblScreenX2.SetLayout(68.75%X,39.5348837209302%Y,31.25%X,6.97674418604651%Y)
lblScreenY0.SetLayout(0%X,51.1627906976744%Y,31.25%X,6.97674418604651%Y)
lblScreenY1.SetLayout(34.375%X,51.1627906976744%Y,31.25%X,6.97674418604651%Y)
lblScreenY2.SetLayout(68.75%X,51.1627906976744%Y,31.25%X,6.97674418604651%Y)
lblDistanceBetween0.SetLayout(0%X,62.7906976744186%Y,31.25%X,9.30232558139535%Y)
lblDistanceBetween.SetLayout(34.375%X,62.7906976744186%Y,31.25%X,9.30232558139535%Y)
lblDistanceUnit.SetLayout(68.75%X,62.7906976744186%Y,31.25%X,6.97674418604651%Y)
btnRecalibrate.SetLayout(68.75%X,79.0697674418605%Y,31.25%X,20.9302325581395%Y)
DoEvents
End Sub

